services:
    Claroline\AppBundle\API\Finder\AbstractFinder:
        abstract:  true
        calls:
            - method: setObjectManager
              arguments:
                  - '@Claroline\AppBundle\Persistence\ObjectManager'
            - method: setEventDispatcher
              arguments:
                  - '@Claroline\AppBundle\Event\StrictDispatcher'
            - method: setFilters
              arguments:
                  - !tagged_iterator { tag: 'claroline.finder.filter'}
